#ifndef P4API_H
#define P4API_H

#include <QObject>
#include <QVariantMap>
#include <QMap>
#include <QObjectList>
#include <QStringList>

class P4Api : public QObject
{
    Q_OBJECT
public:
    explicit P4Api(QObject *parent = 0);

    Q_INVOKABLE QObject* _newConnection(QVariantMap config);
    Q_INVOKABLE void     destroyConnection(QString name);

    Q_INVOKABLE QObject*    getConnection(QString name);
    Q_INVOKABLE QObjectList getConnections();
    Q_INVOKABLE QStringList getConnectionNames();
    
signals:
    
public slots:

private:
    QObjectList m_Connections;
    QStringList m_ConnectionNames;
    
};

#endif // P4_H
